@font-face {
    font-family: "Inter";
    src: url("/fonts/inter.woff2") format("woff2");
    font-display: swap;
}
body {    
    width: 100dvw;
    height: 100dvh;
    margin: 0;
    background-color: #00b140ff;
    font-family: 'Inter';
}
main {
    width: 100%;
    aspect-ratio: 2560 / 300;
    background: linear-gradient(180deg,rgba(0, 0, 0, 0) 20%, rgba(0, 0, 0, 0.8) 60%, rgba(0, 0, 0, 1) 100%);
}
#gamebar-container {
    container-type: size;
    width: 100%;
    max-width: 1182px;
    height: auto;
    margin: 0 auto;
    position: relative;
}
#gamebar-container .container {
    display: grid;
    grid-template-rows: 11.6748cqw 0.846cqw 3.0456cqw;/*5.4144cqw 0.846cqw 5.4144cqw 0.846cqw 3.0456cqw;*/
}
#gamebar {
    width: 100%;
    aspect-ratio: 1182 / 64;
    background-color: #06295B;
    border-radius: 0.3384cqw;/*6.25cqh;*/
    position: relative;
    overflow: hidden;
    display: grid;
    grid-template-columns: 40.6937cqw 1fr 40.6938cqw; /*751.5625cqh 1fr 751.5625cqh;*/
    grid-row-start: 3;
    grid-row-end: 4;
    grid-column-start: 1;
    grid-column-end: 2;
    transition: opacity 500ms ease-in;
}
#gamebar::after {
    position: absolute;
    content: "";
    inset: 0;
    /*background: linear-gradient(180deg,rgba(0, 0, 0, 0.1) 0%, rgba(255, 255, 255, 0.1) 50%, rgba(0, 0, 0, 0.1) 100%);*/
    background: linear-gradient(180deg,rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, 0.05) 50%, rgba(0, 0, 0, 0) 50%);
}
#left, #right {
    position: relative;
    z-index: 5
}
#left {
    display: grid;
    grid-template-columns: 1.8613cqw 5.4146cqw 1fr;/*34.375cqh 100cqh 1fr;*/
}
#right {
    display: grid;
    grid-template-columns: 1fr 5.4146cqw 1.8613cqw;/*1fr 100cqh 34.375cqh;*/
}
#left .color-container {
    grid-column-start: 1;
    grid-column-end: 3;
    grid-row: 1;
    position: relative;
}
#right .color-container {
    grid-column-start: 2;
    grid-column-end: 4;
    grid-row: 1;
    position: relative;
}
#left .color {
    position: absolute;
    background-color: var(--player-color, #06295B);
    height: 100%;
    aspect-ratio: 58 / 64;
    z-index: 10;
    /*clip-path: polygon(-1% -1%, calc(41% - 3.125cqh) -1%, calc(101% - 3.125cqh) 101%, -1% 101%, -1% -1%);*/
    clip-path: polygon(-1% -1%, calc(41% - 0.1692cqw) -1%, calc(101% - 0.1692cqw) 101%, -1% 101%, -1% -1%);
}
#left .color-border {
    position: absolute;
    background-color: #fff;
    height: 100%;
    aspect-ratio: 58 / 64;
    z-index: 5;
    clip-path: polygon(10% 0%, 41% 0%, 100% 100%, 10% 100%, 10% 0%);
}
#right .color {
    right: 0;
    position: absolute;
    background-color: var(--player-color, #06295B);
    height: 100%;
    aspect-ratio: 58 / 64;
    z-index: 10;
    clip-path: polygon(calc(59% + 0.1692cqw) -1%, 101% -1%, 101% 101%, calc(0% + 0.1692cqw) 101%, calc(59% + 0.1692cqw) -1%);
}
#right .color-border {
    right: 0;
    position: absolute;
    background-color: #fff;
    height: 100%;
    aspect-ratio: 58 / 64;
    z-index: 5;
    clip-path: polygon(59% 0%, 90% 0%, 90% 100%, 0% 100%, 59% 0%);
}
.club {
    height: 3.5533cqw;/*65.625cqh;*/
    aspect-ratio: 64 / 42;
    border-radius: 0.3384cqw;/*6.25cqh;*/
    padding: 0.1692cqw;/*3.125cqh;*/
    background: #FCFCF7;
    grid-column-start: 2;
    box-sizing: border-box;
    align-self: center;
    grid-row: 1;
    z-index: 20;
}
.club img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}
.name {
    font-size: 1.8613cqw;/*34.375cqh;*/
    font-weight: 600;
    letter-spacing: 0.0541cqw;/*1cqh;*/
    color: #FCFCF7;
    text-transform: uppercase;
    align-content: center;
    text-align: center;
}
#score {
    display: grid;
    grid-template-columns: 50% 50%;
    z-index: 5;
    position: relative;
}
.score {
    display: grid;
    grid-template-columns: 50% 50%;
    font-size: 3.0457cqw;/*56.25cqh;*/
    font-weight: 600;
    color: #FCFCF7;
    position: relative;
}
.score-games {
    background-color: #fcfcf71a;
    align-content: center;
    text-align: center;
}
.score-balls {
    display: grid;
    align-content: center;
}
.score--left .score-balls {
    grid-template-columns: 87.27% 1fr;
    text-align: right;
}
.score--right .score-balls {
    grid-template-columns: 1fr 87.27%;
    text-align: left;
}
.score--right .score-balls .value {
    grid-column-start: 2;
}
#score-divider {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: #fff;
    font-size: 2.0305cqw;/*37.5cqh;*/
    font-weight: 500;
}
.serve-indicator {
    opacity: 0;
    position: absolute;
    width: 0.8460cqw;/*15.625cqh;*/
    aspect-ratio: 1 / 1;
    border-radius: 100%;
    background-color: #FCFCF7;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    transition: opacity 200ms ease-in;
}
.score-notification {
    opacity: 0;
    top: 0;
    /*width: calc(100% - (2 * 751.5625cqh));*/
    width: calc(100% - (2 * 40.6937cqw));
    height: 2.0575cqw;/*38cqh;*/
    /*margin: 2cqh auto 0;*/
    /*margin: 6.2606cqw auto 0;*/
    margin: 0 auto;
    text-align: center;
    background-color: #2b3034;
    border-top-left-radius: 0.3384cqw;/*6.25cqh;*/
    border-top-right-radius: 0.3384cqw;/*6.25cqh;*/
    color: #FCFCF7;
    text-transform: uppercase;
    font-weight: 500;
    align-content: center;
    transition: opacity 500ms ease-in;
    grid-row-start: 1;
    grid-row-end: 3;
    grid-column-start: 1;
    grid-column-end: 2;
    align-self: end;
}
.playingbar-container {
    width: 100%;
    aspect-ratio: 1182 / 36;
    background-color: #06295B;
    border-radius: 0.3384cqw;/*6.25cqh;*/
    margin-top: 0.8460cqw;
    position: relative;
    overflow: hidden;
    /*grid-template-columns: 751.5625cqh 1fr 751.5625cqh;*/
    /*grid-template-columns: 40.6937cqw 1fr 40.6937cqw;*/
    grid-row-start: 3;
    grid-row-end: 4;
}
.playingbar-container::after {
    position: absolute;
    content: "";
    inset: 0;
    /*background: linear-gradient(180deg,rgba(0, 0, 0, 0.1) 0%, rgba(255, 255, 255, 0.1) 50%, rgba(0, 0, 0, 0.1) 100%);*/
    background-color: #fcfcf71a;
    background-image: linear-gradient(180deg,rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, 0.05) 50%, rgba(0, 0, 0, 0) 50%);
}
.playingbar {
    display: grid;
    grid-template-rows: 3.0456cqw 3.0456cqw;
    transition: margin 800ms ease-in-out;
}
.playingbar.show-next {
    margin-top: -3.0456cqw;
}
.playing-now, .playing-next {
    width: 100%;
    aspect-ratio: 1182 / 36;
    font-size: 1.5229cqw;
    font-weight: 500;
    letter-spacing: 0.0541cqw;
    color: #FCFCF7;
    text-transform: uppercase;
    align-content: center;
    padding-left: 0.8460cqw;
    padding-right: 0.8460cqw;
    box-sizing: border-box;
}
.playing-next:has(span:nth-of-type(2)) {
    display: grid;
    grid-template-columns: 1fr 6cqw;
}
.playing-next span:nth-of-type(2) {
    text-align: right;
}

#matchbar-container {
    width: 100%;
    aspect-ratio: 1182 / 138;
    position: relative;
    overflow: hidden;
    display: grid;
    grid-template-rows: 5.4144cqw 0.846cqw 5.4144cqw;
    /*padding-top: 2.0594cqw;*/
    grid-row-start: 1;
    grid-row-end: 2;
}
.matchbar {
    opacity: 0;
    display: grid;
    grid-template-columns: 1fr 0.846cqw 5.4144cqw 0.846cqw 5.4144cqw 0.423cqw 5.4144cqw 0.423cqw 5.4144cqw 0.423cqw 5.4144cqw 0.423cqw 5.4144cqw;
    transition: opacity 500ms ease-in;
}
.matchbar.matchbar-left {    
    grid-row-start: 1;
    grid-row-end: 2;
    grid-column-start: 1;
    grid-column-end: 2;
}
.matchbar.matchbar-right {
    grid-row-start: 3;
    grid-row-end: 4;
    grid-column-start: 1;
    grid-column-end: 2; 
}
.matchbar > div {
    width: 100%;
    height: 100%;
    background-color: #06295B;
    border-radius: 0.3384cqw;/*6.25cqh;*/
    position: relative;
    overflow: hidden;
}
.matchbar > div::after {
    position: absolute;
    content: "";
    inset: 0;
    /*background: linear-gradient(180deg,rgba(0, 0, 0, 0.1) 0%, rgba(255, 255, 255, 0.1) 50%, rgba(0, 0, 0, 0.1) 100%);*/
    background: linear-gradient(180deg,rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, 0.05) 50%, rgba(0, 0, 0, 0) 50%);
}
.matchbar > .match-score::after {
    background-color: #fcfcf71a;
}
.matchbar .color-club-name {
    display: grid;
    grid-template-columns: 1.8613cqw 5.4146cqw 1fr;
}
.matchbar .name {
    text-align: left;
    padding-left: 0.846cqw;
    padding-right: 0.846cqw;
}
.matchbar .color-container {
    grid-column-start: 1;
    grid-column-end: 3;
    grid-row: 1;
    position: relative;
}
.matchbar.matchbar-left .color {
    position: absolute;
    background-color: var(--player-color, #06295B);
    height: 100%;
    aspect-ratio: 58 / 64;
    z-index: 10;
    clip-path: polygon(-1% -1%, calc(41% - 0.1692cqw) -1%, calc(101% - 0.1692cqw) 101%, -1% 101%, -1% -1%);
}
.matchbar.matchbar-left .color-border {
    position: absolute;
    background-color: #fff;
    height: 100%;
    aspect-ratio: 58 / 64;
    z-index: 5;
    clip-path: polygon(10% 0%, 41% 0%, 100% 100%, 10% 100%, 10% 0%);
}
.matchbar.matchbar-right .color {
    position: absolute;
    background-color: var(--player-color, #06295B);
    height: 100%;
    aspect-ratio: 58 / 64;
    z-index: 10;
    clip-path: polygon(-1% -1%, calc(101% - 0.1692cqw) -1%, calc(41% - 0.1692cqw) 101%, -1% 101%, -1% -1%);
}
.matchbar.matchbar-right .color-border {
    position: absolute;
    background-color: #fff;
    height: 100%;
    aspect-ratio: 58 / 64;
    z-index: 5;
    clip-path: polygon(10% 0%, 100% 0%, 41% 100%, 10% 100%, 10% 0%);
}
.matchbar .match-score, .matchbar .game-score {
    font-size: 3.0457cqw;
    font-weight: 600;
    color: #FCFCF7;
    align-content: center;
    text-align: center;
}
.matchbar .match-score .value, .matchbar .game-score .value {
    opacity: 0;
}
.matchbar .match-score.show .value, .matchbar .game-score.show .value {
    opacity: 1;
}
.matchbar .match-score {
    grid-column-start: 3;
}
.matchbar .game-1 {
    grid-column-start: 5;
}
.matchbar .game-2 {
    grid-column-start: 7;
}
.matchbar .game-3 {
    grid-column-start: 9;
}
.matchbar .game-4 {
    grid-column-start: 11;
}
.matchbar .game-5 {
    grid-column-start: 13;
}
.matchbar-right {
    grid-row-start: 3;
}